// pages/invitees/invitees.js
const config = require('../../config.js')
const getReq = config.getReq
const app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    list: []
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.getData()
  },

  getData(){
    getReq(app,{
        act: 'member_invitee',
        op: 'list'
      }, (res) => {
        if (res.code == 200) {
          if(res.datas) {
            this.setData({list: res.datas })
          }
        } else {
            app.showToast(res.message)
        }
    })
  },

  itemHandleClick(e){
    const currentData = e.currentTarget.dataset
    const { item } = currentData
    console.log(item)
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {
    return app.cardShareInfo();
  }
})